#
# This rpm is based on the git tree from:
# git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
# version is date of the youngest commit
#
# (tmb) rpm build mis-detects firmwares as arch specific
%define _binaries_in_noarch_packages_terminate_build	0

Summary:	Non-free firmware files for the Linux kernel
Name:   	kernel-firmware-nonfree
Version:	20170422
Release:	%mkrel 1
License:	Freeware
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# kernel-firmware tarball is generated from the git tree mentioned
# above, by simply cloning it and doing:
# git archive --prefix=linux-firmware/ origin/master | xz > linux-firmware-20170217.tar.xz
# use gen-free-firmware-tarball.sh script in kernel-firmware to split firmware tarball
# into free and nonfree
Source: 	linux-firmware-nonfree-%{version}.tar.xz
Conflicts:	kernel-firmware < 20130624-1
%rename		kernel-firmware-extra
Recommends:	iwlwifi-agn-ucode
Recommends:	radeon-firmware
Recommends:	ralink-firmware
Recommends:	rtlwifi-firmware
Obsoletes:	korg1212-firmware
Obsoletes:	maestro3-firmware
Obsoletes:	sb16-firmware
Obsoletes:	yamaha-firmware
BuildArch:	noarch

%description
This package contains all the firmware files without an open source
license but used by the in-kernel drivers.

The files are shared by all kernels.

Other non-free firmware files are contained in the radeon-firmware,
iwlwifi-*-ucode, ralink-firmware and rtlwifi-firmware packages.

Open source firmware files are contained in the kernel-firmware
package in the core section.

%package -n iwlwifi-agn-ucode
Summary:	Nonfree iwlwifi firmware files for the Linux kernel
Obsoletes:	iwlwifi-100-ucode
Obsoletes:	iwlwifi-105-ucode
Obsoletes:	iwlwifi-135-ucode
Obsoletes:	iwlwifi-1000-ucode
Obsoletes:	iwlwifi-2000-ucode
Obsoletes:	iwlwifi-2030-ucode
Obsoletes:	iwlwifi-5000-ucode
Obsoletes:	iwlwifi-5150-ucode
Obsoletes:	iwlwifi-6000-ucode
Obsoletes:	iwlwifi-6005-ucode
Obsoletes:	iwlwifi-6030-ucode
Obsoletes:	iwlwifi-6050-ucode
Conflicts:      kernel-firmware-extra < 20130624-1
Conflicts:      kernel-firmware-nonfree < 20130624-1

%description -n iwlwifi-agn-ucode
This package contains all the iwlwifi wireless firmware files
supported by the iwlwifi kernel driver. That means all of:
iwlwifi-1xx/1000/2xxx/5xxx/6xxx*.ucode firmwares.

%package -n ralink-firmware
Summary:	Nonfree Ralink firmware files for the Linux kernel
Obsoletes:      rt61-firmware
Obsoletes:      rt2860-firmware
Obsoletes:      rt2870-firmware
Obsoletes:      rt3090-firmware
Obsoletes:      rt73-firmware
Conflicts:      kernel-firmware-extra < 20130624-1
Conflicts:      kernel-firmware-nonfree < 20130624-1

%description -n ralink-firmware
This package contains all the Ralink wireless firmware files
previously shipped in separate rt61-, rt2860-, rt2870-,
rt3090-, rt73-, and kernel-firmware-extra/nonfree packages.

%package -n rtlwifi-firmware
Summary:	Nonfree rtlwifi firmware files for the Linux kernel
Obsoletes:	rtl8192se-firmware
Conflicts:      kernel-firmware-extra < 20130624-1
Conflicts:      kernel-firmware-nonfree < 20130624-1

%description -n rtlwifi-firmware
This package contains all the rtlwifi wireless firmware files
previously shipped in rtl8192se-firmware and
kernel-firmware-extra/nonfree packages.

%prep
%setup -q -n linux-firmware-nonfree-%{version}

# drop obsolete bnx2 firmwares
rm -f bnx2/bnx2-mips-06-{4,5}.*.fw
rm -f bnx2/bnx2-mips-06-6.0.15.fw
rm -f bnx2/bnx2-mips-06-6.2.1.fw
rm -f bnx2/bnx2-mips-09-{4,5}.*.fw
rm -f bnx2/bnx2-mips-09-6.0.17.fw
rm -f bnx2/bnx2-mips-09-6.2.1.fw
rm -f bnx2/bnx2-mips-09-6.2.1a.fw
rm -f bnx2/bnx2-rv2p-06-{4,5}.*.fw
rm -f bnx2/bnx2-rv2p-06-5.0.0.j3.fw
rm -f bnx2/bnx2-rv2p-09-{4,5}.*.fw
rm -f bnx2/bnx2-rv2p-09ax-5.*.fw

# drop obsolete bnx2x firmwares
rm -f bnx2x-e1-{4,5}.*
rm -f bnx2x-e1h-{4,5}.*
rm -f bnx2x/bnx2x-e1-6*
rm -f bnx2x/bnx2x-e1-7.{0,2,8}.*
rm -f bnx2x/bnx2x-e1h-6*
rm -f bnx2x/bnx2x-e1h-7.{0,2,8}.*
rm -f bnx2x/bnx2x-e2-6*
rm -f bnx2x/bnx2x-e2-7.{0,2,8}.*

# remove files provided in legacy iwlwifi-3945/4965-ucode packages
rm -f iwlwifi-{3945,4965}-2.ucode
# obsolete iwl ucode
rm -f iwlwifi-1000-3.ucode
rm -f iwlwifi-3160-{7,8,9}.ucode
rm -f iwlwifi-5000-{1,2}.ucode
rm -f iwlwifi-6000g2b-5.ucode
rm -f iwlwifi-6050-4.ucode
rm -f iwlwifi-7260-{7,8,9}.ucode
rm -f iwlwifi-7265-{8,9}.ucode

# remove all radeon and amdgpu files as they are provided by radeon-firmware or kernel-firmware
rm -f LICENSE.radeon LICENSE.amdgpu
rm -rf radeon
rm -rf r128
rm -rf amdgpu

# remove obsolete ti-connectivity firmwares
rm -f ti-connectivity/wl127x-fw-{3,4}*.bin
rm -f ti-connectivity/wl128x-fw-{3,4}*.bin

# remove unwanted source files for firmware in kernel-firmware or microcode
rm -rf atusb usbdux dsp56k keyspan_pda cis isci amd-ucode LICENSE.amd-ucode configure check_whence.py*

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/{LICEN{C,S}E.*,WHENCE,README,Makefile,GPL-3}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENCE.*
%doc README WHENCE
%exclude /lib/firmware/iwlwifi-100-5.ucode
%exclude /lib/firmware/iwlwifi-105-6.ucode
%exclude /lib/firmware/iwlwifi-135-6.ucode
%exclude /lib/firmware/iwlwifi-1000-5.ucode
%exclude /lib/firmware/iwlwifi-2000-6.ucode
%exclude /lib/firmware/iwlwifi-2030-6.ucode
%exclude /lib/firmware/iwlwifi-3160-10.ucode
%exclude /lib/firmware/iwlwifi-3160-12.ucode
%exclude /lib/firmware/iwlwifi-3160-13.ucode
%exclude /lib/firmware/iwlwifi-3160-16.ucode
%exclude /lib/firmware/iwlwifi-3160-17.ucode
%exclude /lib/firmware/iwlwifi-3168-21.ucode
%exclude /lib/firmware/iwlwifi-3168-22.ucode
%exclude /lib/firmware/iwlwifi-3168-27.ucode
%exclude /lib/firmware/iwlwifi-5000-5.ucode
%exclude /lib/firmware/iwlwifi-5150-2.ucode
%exclude /lib/firmware/iwlwifi-6000-4.ucode
%exclude /lib/firmware/iwlwifi-6000g2a-5.ucode
%exclude /lib/firmware/iwlwifi-6000g2a-6.ucode
%exclude /lib/firmware/iwlwifi-6000g2b-6.ucode
%exclude /lib/firmware/iwlwifi-6050-5.ucode
%exclude /lib/firmware/iwlwifi-7260-10.ucode
%exclude /lib/firmware/iwlwifi-7260-12.ucode
%exclude /lib/firmware/iwlwifi-7260-13.ucode
%exclude /lib/firmware/iwlwifi-7260-16.ucode
%exclude /lib/firmware/iwlwifi-7260-17.ucode
%exclude /lib/firmware/iwlwifi-7265-10.ucode
%exclude /lib/firmware/iwlwifi-7265-12.ucode
%exclude /lib/firmware/iwlwifi-7265-13.ucode
%exclude /lib/firmware/iwlwifi-7265-16.ucode
%exclude /lib/firmware/iwlwifi-7265-17.ucode
%exclude /lib/firmware/iwlwifi-7265D-10.ucode
%exclude /lib/firmware/iwlwifi-7265D-12.ucode
%exclude /lib/firmware/iwlwifi-7265D-13.ucode
%exclude /lib/firmware/iwlwifi-7265D-16.ucode
%exclude /lib/firmware/iwlwifi-7265D-17.ucode
%exclude /lib/firmware/iwlwifi-7265D-21.ucode
%exclude /lib/firmware/iwlwifi-7265D-22.ucode
%exclude /lib/firmware/iwlwifi-7265D-27.ucode
%exclude /lib/firmware/iwlwifi-8000C-13.ucode
%exclude /lib/firmware/iwlwifi-8000C-16.ucode
%exclude /lib/firmware/iwlwifi-8000C-21.ucode
%exclude /lib/firmware/iwlwifi-8000C-22.ucode
%exclude /lib/firmware/iwlwifi-8000C-27.ucode
%exclude /lib/firmware/iwlwifi-8265-21.ucode
%exclude /lib/firmware/iwlwifi-8265-22.ucode
%exclude /lib/firmware/iwlwifi-8265-27.ucode
%exclude /lib/firmware/intel
%exclude /lib/firmware/intel/dsp_fw_bxtn.bin
%exclude /lib/firmware/intel/dsp_fw_bxtn_v430.bin
%exclude /lib/firmware/intel/dsp_fw_bxtn_v702.bin
%exclude /lib/firmware/intel/dsp_fw_bxtn_v1118.bin
%exclude /lib/firmware/intel/dsp_fw_bxtn_v2010.bin
%exclude /lib/firmware/intel/dsp_fw_bxtn_v2219.bin
%exclude /lib/firmware/intel/dsp_fw_glk.bin
%exclude /lib/firmware/intel/dsp_fw_glk_v1814.bin
%exclude /lib/firmware/intel/dsp_fw_release.bin
%exclude /lib/firmware/intel/dsp_fw_release_v827.bin
%exclude /lib/firmware/intel/dsp_fw_release_v869.bin
%exclude /lib/firmware/intel/dsp_fw_release_v896.bin
%exclude /lib/firmware/intel/dsp_fw_release_v927.bin
%exclude /lib/firmware/intel/dsp_fw_release_v948.bin
%exclude /lib/firmware/intel/dsp_fw_release_v951.bin
%exclude /lib/firmware/intel/dsp_fw_release_v958.bin
%exclude /lib/firmware/intel/dsp_fw_release_v969.bin
%exclude /lib/firmware/intel/fw_sst_0f28.bin
%exclude /lib/firmware/intel/fw_sst_0f28.bin-48kHz_i2s_master
%exclude /lib/firmware/intel/fw_sst_22a8.bin
%exclude /lib/firmware/intel/ibt-11-5.ddc
%exclude /lib/firmware/intel/ibt-11-5.sfi
%exclude /lib/firmware/intel/ibt-12-16.ddc
%exclude /lib/firmware/intel/ibt-12-16.sfi
%exclude /lib/firmware/intel/ibt-hw-37.7.10-fw-1.0.1.2d.d.bseq
%exclude /lib/firmware/intel/ibt-hw-37.7.10-fw-1.0.2.3.d.bseq
%exclude /lib/firmware/intel/ibt-hw-37.7.10-fw-1.80.1.2d.d.bseq
%exclude /lib/firmware/intel/ibt-hw-37.7.10-fw-1.80.2.3.d.bseq
%exclude /lib/firmware/intel/ibt-hw-37.7.bseq
%exclude /lib/firmware/intel/ibt-hw-37.8.10-fw-1.10.2.27.d.bseq
%exclude /lib/firmware/intel/ibt-hw-37.8.10-fw-1.10.3.11.e.bseq
%exclude /lib/firmware/intel/ibt-hw-37.8.10-fw-22.50.19.14.f.bseq
%exclude /lib/firmware/intel/ibt-hw-37.8.bseq
%exclude /lib/firmware/intel/IntcSST2.bin
%exclude /lib/firmware/mt7650.bin
%exclude /lib/firmware/rt2561.bin
%exclude /lib/firmware/rt2561s.bin
%exclude /lib/firmware/rt2661.bin
%exclude /lib/firmware/rt2860.bin
%exclude /lib/firmware/rt2870.bin
%exclude /lib/firmware/rt3070.bin
%exclude /lib/firmware/rt3071.bin
%exclude /lib/firmware/rt3090.bin
%exclude /lib/firmware/rt3290.bin
%exclude /lib/firmware/rt73.bin
%exclude /lib/firmware/rtl_bt/rtl8192ee_fw.bin
%exclude /lib/firmware/rtl_bt/rtl8192eu_fw.bin
%exclude /lib/firmware/rtl_bt/rtl8723a_fw.bin
%exclude /lib/firmware/rtl_bt/rtl8723b_fw.bin
%exclude /lib/firmware/rtl_bt/rtl8761a_fw.bin
%exclude /lib/firmware/rtl_bt/rtl8812ae_fw.bin
%exclude /lib/firmware/rtl_bt/rtl8821a_fw.bin
%exclude /lib/firmware/rtl_bt/rtl8822b_config.bin
%exclude /lib/firmware/rtl_bt/rtl8822b_fw.bin
%exclude /lib/firmware/rtlwifi/rtl8188efw.bin
%exclude /lib/firmware/rtlwifi/rtl8188eufw.bin
%exclude /lib/firmware/rtlwifi/rtl8192cfw.bin
%exclude /lib/firmware/rtlwifi/rtl8192cfwU_B.bin
%exclude /lib/firmware/rtlwifi/rtl8192cfwU.bin
%exclude /lib/firmware/rtlwifi/rtl8192cufw_A.bin
%exclude /lib/firmware/rtlwifi/rtl8192cufw_B.bin
%exclude /lib/firmware/rtlwifi/rtl8192cufw.bin
%exclude /lib/firmware/rtlwifi/rtl8192cufw_TMSC.bin
%exclude /lib/firmware/rtlwifi/rtl8192defw.bin
%exclude /lib/firmware/rtlwifi/rtl8192eefw.bin
%exclude /lib/firmware/rtlwifi/rtl8192eu_ap_wowlan.bin
%exclude /lib/firmware/rtlwifi/rtl8192eu_nic.bin
%exclude /lib/firmware/rtlwifi/rtl8192eu_wowlan.bin
%exclude /lib/firmware/rtlwifi/rtl8192sefw.bin
%exclude /lib/firmware/rtlwifi/rtl8712u.bin
%exclude /lib/firmware/rtlwifi/rtl8723aufw_A.bin
%exclude /lib/firmware/rtlwifi/rtl8723aufw_B.bin
%exclude /lib/firmware/rtlwifi/rtl8723aufw_B_NoBT.bin
%exclude /lib/firmware/rtlwifi/rtl8723befw.bin
%exclude /lib/firmware/rtlwifi/rtl8723befw_36.bin
%exclude /lib/firmware/rtlwifi/rtl8723bs_ap_wowlan.bin
%exclude /lib/firmware/rtlwifi/rtl8723bs_bt.bin
%exclude /lib/firmware/rtlwifi/rtl8723bs_nic.bin
%exclude /lib/firmware/rtlwifi/rtl8723bs_wowlan.bin
%exclude /lib/firmware/rtlwifi/rtl8723bu_ap_wowlan.bin
%exclude /lib/firmware/rtlwifi/rtl8723bu_nic.bin
%exclude /lib/firmware/rtlwifi/rtl8723bu_wowlan.bin
%exclude /lib/firmware/rtlwifi/rtl8723fw_B.bin
%exclude /lib/firmware/rtlwifi/rtl8723fw.bin
%exclude /lib/firmware/rtlwifi/rtl8821aefw.bin
%exclude /lib/firmware/rtlwifi/rtl8821aefw_29.bin
%exclude /lib/firmware/rtlwifi/rtl8821aefw_wowlan.bin
/lib/firmware/*

%files -n iwlwifi-agn-ucode
%defattr(0644,root,root,0755)
%doc LICENCE.iwlwifi_firmware LICENCE.ibt_firmware
/lib/firmware/iwlwifi-100-5.ucode
/lib/firmware/iwlwifi-105-6.ucode
/lib/firmware/iwlwifi-135-6.ucode
/lib/firmware/iwlwifi-1000-5.ucode
/lib/firmware/iwlwifi-2000-6.ucode
/lib/firmware/iwlwifi-2030-6.ucode
/lib/firmware/iwlwifi-3160-10.ucode
/lib/firmware/iwlwifi-3160-12.ucode
/lib/firmware/iwlwifi-3160-13.ucode
/lib/firmware/iwlwifi-3160-16.ucode
/lib/firmware/iwlwifi-3160-17.ucode
/lib/firmware/iwlwifi-3168-21.ucode
/lib/firmware/iwlwifi-3168-22.ucode
/lib/firmware/iwlwifi-3168-27.ucode
/lib/firmware/iwlwifi-5000-5.ucode
/lib/firmware/iwlwifi-5150-2.ucode
/lib/firmware/iwlwifi-6000-4.ucode
/lib/firmware/iwlwifi-6000g2a-5.ucode
/lib/firmware/iwlwifi-6000g2a-6.ucode
/lib/firmware/iwlwifi-6000g2b-6.ucode
/lib/firmware/iwlwifi-6050-5.ucode
/lib/firmware/iwlwifi-7260-10.ucode
/lib/firmware/iwlwifi-7260-12.ucode
/lib/firmware/iwlwifi-7260-13.ucode
/lib/firmware/iwlwifi-7260-16.ucode
/lib/firmware/iwlwifi-7260-17.ucode
/lib/firmware/iwlwifi-7265-10.ucode
/lib/firmware/iwlwifi-7265-12.ucode
/lib/firmware/iwlwifi-7265-13.ucode
/lib/firmware/iwlwifi-7265-16.ucode
/lib/firmware/iwlwifi-7265-17.ucode
/lib/firmware/iwlwifi-7265D-10.ucode
/lib/firmware/iwlwifi-7265D-12.ucode
/lib/firmware/iwlwifi-7265D-13.ucode
/lib/firmware/iwlwifi-7265D-16.ucode
/lib/firmware/iwlwifi-7265D-17.ucode
/lib/firmware/iwlwifi-7265D-21.ucode
/lib/firmware/iwlwifi-7265D-22.ucode
/lib/firmware/iwlwifi-7265D-27.ucode
/lib/firmware/iwlwifi-8000C-13.ucode
/lib/firmware/iwlwifi-8000C-16.ucode
/lib/firmware/iwlwifi-8000C-21.ucode
/lib/firmware/iwlwifi-8000C-22.ucode
/lib/firmware/iwlwifi-8000C-27.ucode
/lib/firmware/iwlwifi-8265-21.ucode
/lib/firmware/iwlwifi-8265-22.ucode
/lib/firmware/iwlwifi-8265-27.ucode
# ship ibt as part of this as it's the bt combo in 7260
%dir /lib/firmware/intel
/lib/firmware/intel/dsp_fw_bxtn.bin
/lib/firmware/intel/dsp_fw_bxtn_v430.bin
/lib/firmware/intel/dsp_fw_bxtn_v702.bin
/lib/firmware/intel/dsp_fw_bxtn_v1118.bin
/lib/firmware/intel/dsp_fw_bxtn_v2010.bin
/lib/firmware/intel/dsp_fw_bxtn_v2219.bin
/lib/firmware/intel/dsp_fw_glk.bin
/lib/firmware/intel/dsp_fw_glk_v1814.bin
/lib/firmware/intel/dsp_fw_release.bin
/lib/firmware/intel/dsp_fw_release_v827.bin
/lib/firmware/intel/dsp_fw_release_v869.bin
/lib/firmware/intel/dsp_fw_release_v896.bin
/lib/firmware/intel/dsp_fw_release_v927.bin
/lib/firmware/intel/dsp_fw_release_v948.bin
/lib/firmware/intel/dsp_fw_release_v951.bin
/lib/firmware/intel/dsp_fw_release_v958.bin
/lib/firmware/intel/dsp_fw_release_v969.bin
/lib/firmware/intel/fw_sst_0f28.bin
/lib/firmware/intel/fw_sst_0f28.bin-48kHz_i2s_master
/lib/firmware/intel/fw_sst_22a8.bin
/lib/firmware/intel/ibt-11-5.ddc
/lib/firmware/intel/ibt-11-5.sfi
/lib/firmware/intel/ibt-12-16.ddc
/lib/firmware/intel/ibt-12-16.sfi
/lib/firmware/intel/ibt-hw-37.7.10-fw-1.0.1.2d.d.bseq
/lib/firmware/intel/ibt-hw-37.7.10-fw-1.0.2.3.d.bseq
/lib/firmware/intel/ibt-hw-37.7.10-fw-1.80.1.2d.d.bseq
/lib/firmware/intel/ibt-hw-37.7.10-fw-1.80.2.3.d.bseq
/lib/firmware/intel/ibt-hw-37.7.bseq
/lib/firmware/intel/ibt-hw-37.8.10-fw-1.10.2.27.d.bseq
/lib/firmware/intel/ibt-hw-37.8.10-fw-1.10.3.11.e.bseq
/lib/firmware/intel/ibt-hw-37.8.10-fw-22.50.19.14.f.bseq
/lib/firmware/intel/ibt-hw-37.8.bseq
/lib/firmware/intel/IntcSST2.bin

%files -n ralink-firmware
%defattr(0644,root,root,0755)
%doc LICENCE.ralink-firmware.txt LICENCE.ralink_a_mediatek_company_firmware
/lib/firmware/mt7650.bin
/lib/firmware/rt2561.bin
/lib/firmware/rt2561s.bin
/lib/firmware/rt2661.bin
/lib/firmware/rt2860.bin
/lib/firmware/rt2870.bin
/lib/firmware/rt3070.bin
/lib/firmware/rt3071.bin
/lib/firmware/rt3090.bin
/lib/firmware/rt3290.bin
/lib/firmware/rt73.bin

%files -n rtlwifi-firmware
%defattr(0644,root,root,0755)
%doc LICENCE.rtlwifi_firmware.txt
/lib/firmware/rtl_bt/rtl8192ee_fw.bin
/lib/firmware/rtl_bt/rtl8192eu_fw.bin
/lib/firmware/rtl_bt/rtl8723a_fw.bin
/lib/firmware/rtl_bt/rtl8723b_fw.bin
/lib/firmware/rtl_bt/rtl8761a_fw.bin
/lib/firmware/rtl_bt/rtl8812ae_fw.bin
/lib/firmware/rtl_bt/rtl8822b_config.bin
/lib/firmware/rtl_bt/rtl8822b_fw.bin
/lib/firmware/rtl_bt/rtl8821a_fw.bin
/lib/firmware/rtlwifi/rtl8188efw.bin
/lib/firmware/rtlwifi/rtl8188eufw.bin
/lib/firmware/rtlwifi/rtl8192cfw.bin
/lib/firmware/rtlwifi/rtl8192cfwU_B.bin
/lib/firmware/rtlwifi/rtl8192cfwU.bin
/lib/firmware/rtlwifi/rtl8192cufw_A.bin
/lib/firmware/rtlwifi/rtl8192cufw_B.bin
/lib/firmware/rtlwifi/rtl8192cufw.bin
/lib/firmware/rtlwifi/rtl8192cufw_TMSC.bin
/lib/firmware/rtlwifi/rtl8192defw.bin
/lib/firmware/rtlwifi/rtl8192eefw.bin
/lib/firmware/rtlwifi/rtl8192eu_ap_wowlan.bin
/lib/firmware/rtlwifi/rtl8192eu_nic.bin
/lib/firmware/rtlwifi/rtl8192eu_wowlan.bin
/lib/firmware/rtlwifi/rtl8192sefw.bin
/lib/firmware/rtlwifi/rtl8712u.bin
/lib/firmware/rtlwifi/rtl8723aufw_A.bin
/lib/firmware/rtlwifi/rtl8723aufw_B.bin
/lib/firmware/rtlwifi/rtl8723aufw_B_NoBT.bin
/lib/firmware/rtlwifi/rtl8723befw.bin
/lib/firmware/rtlwifi/rtl8723befw_36.bin
/lib/firmware/rtlwifi/rtl8723bs_ap_wowlan.bin
/lib/firmware/rtlwifi/rtl8723bs_bt.bin
/lib/firmware/rtlwifi/rtl8723bs_nic.bin
/lib/firmware/rtlwifi/rtl8723bs_wowlan.bin
/lib/firmware/rtlwifi/rtl8723bu_ap_wowlan.bin
/lib/firmware/rtlwifi/rtl8723bu_nic.bin
/lib/firmware/rtlwifi/rtl8723bu_wowlan.bin
/lib/firmware/rtlwifi/rtl8723fw_B.bin
/lib/firmware/rtlwifi/rtl8723fw.bin
/lib/firmware/rtlwifi/rtl8821aefw.bin
/lib/firmware/rtlwifi/rtl8821aefw_29.bin
/lib/firmware/rtlwifi/rtl8821aefw_wowlan.bin


%changelog
* Wed Apr 26 2017 tmb <tmb> 20170422-1.mga6
+ Revision: 1097702
- update Marvell SD8887 firmware image
- update Marvell SD8897-B0 firmware image
- update Marvell PCIe-USB8997 firmware image
- update Marvell PCIe-USB8997 wifi-only firmware image
- intel: Update Broxton audio firmware
- mediatek: update MT8173 VPU firmware for unsupported VP9 profiles
- nvidia: add GP10B signed firmware
- nvidia: fix GP107 signed firmware
- nfp: Add firmware 0.6.1
- liquidio: update firmware to v1.5.1
- rtl_bt: Update firmware for BT part of rtl8822be

* Thu Mar 09 2017 tmb <tmb> 20170309-1.mga6.nonfree
+ Revision: 1090996
- ath10k: QCA6174 hw3.0: update board-2.bin
- brcm: update firmware for BCM43340/1 SDIO devices
- Update firmware file for Intel Bluetooth 7265, 8260, 8265
- intel: Add Geminilake audio firmware
- qed: Add firmware 8.15.3.0

* Thu Mar 02 2017 tmb <tmb> 20170301-1.mga6.nonfree
+ Revision: 1088524
- nvidia: add GP102/GP104/GP106/GP107 (Pascal) signed firmware
- nvidia: add GM20B PMU firmware
- cxgb4: update firmware to revision 1.16.33.0

* Sun Feb 26 2017 tmb <tmb> 20170224-1.mga6.nonfree
+ Revision: 1087983
- i915: Fix Corrupted GuC files

* Tue Feb 21 2017 tmb <tmb> 20170217-1.mga6.nonfree
+ Revision: 1087237
- update to 2017-02-17 snapshot
  * iwlwifi: update -17 firmware for 3260, 7260 and 7265
  * iwlwifi: update -22 firmware for 7265D and up
  * iwlwifi: add -27 firmware for 3168, 7265D, 8000C and 8265
  * i915: Add HuC 1.07.1398 for BXT, SKL
  * i915: HuC on 2.0.1810 for Kabylake
  * i915: GuC firmware for Broxton v8.7
  * i915: GuC firmware for Kabylake v9.14
  * qla2xxx: Update firmware version to 8.06.00
  * liquidio: update firmware to v1.4.2
  * add firmware for mt76x2

* Sun Jan 22 2017 daviddavid <daviddavid> 20170113-2.mga6.nonfree
+ Revision: 1083003
- fix again two new dangling links (mga#20158)
  * dangling: /usr/lib/firmware/intel/dsp_fw_release.bin -> dsp_fw_release_v969.bin
  * dangling: /usr/lib/firmware/intel/dsp_fw_bxtn.bin -> dsp_fw_bxtn_v2010.bin

* Sun Jan 15 2017 tmb <tmb> 20170113-1.mga6.nonfree
+ Revision: 1081815
- update to 20170113 snapshot

* Sun Jan 01 2017 tmb <tmb> 20170101-1.mga6.nonfree
+ Revision: 1079381
- update to 20170101 snapshot

* Mon Oct 03 2016 daviddavid <daviddavid> 20160914-2.mga6.nonfree
+ Revision: 1058282
- fix two dangling links
  * dangling: /usr/lib/firmware/intel/dsp_fw_release.bin -> dsp_fw_release_v958.bin
  * dangling: /usr/lib/firmware/intel/dsp_fw_bxtn.bin -> dsp_fw_bxtn_v1118.bin

* Tue Sep 20 2016 tmb <tmb> 20160914-1.mga6.nonfree
+ Revision: 1054761
- add Marvell PCIe8997 firmware image
- brcm: add firmware for BCM43430 802.11n chipset
- intel: Update Broxton, Skylake, Kabylake audio firmware
- mediatek: Update firmware for decoder and MDP
- rtl_bt: Add firmware and config file for RTL8822BE
- rt2870sta: Update rt3071.bin to match rt2870.bin
- ath10k: QCA6174: update board files
- ath10k: QCA988X hw2.0: update firmware to 10.2.4.70.54
- ath10k: QCA9984 hw1.0: add firmware and board files
- ath10k: QCA9888 hw2.0: add firmware and board files
- ath10k: QCA9887 hw1.0: add firmware and board files
- ath10k: QCA4019 hw1.0: add firmware and board files
- qed: Add firmware 8.10.10.0
- usb: host: xhci-rcar: update firmware for R-Car H3 and M3-W
- rockchip: update dptx firmware to v2.9
- i915: Restore DMC 1.23

* Wed Jul 20 2016 tmb <tmb> 20160712-1.mga6.nonfree
+ Revision: 1042793
- update to 2016-07-12 snapshot

* Sun Jul 10 2016 tmb <tmb> 20160710-1.mga6.nonfree
+ Revision: 1041038
- iwlwifi: add finel api 17 firmwares for 3160, 7260, 7265, 7265D
- iwlwifi: add api 22 firmwares for 3168, 7265D, 8000C, 8265

* Sat Jul 09 2016 tmb <tmb> 20160709-1.mga6.nonfree
+ Revision: 1039952
- update Intel WsP(WindStorm Peak) Bluetooth 8264 firmware
- update Intel Skylake audio firmware
- update Intel Broxton audio firmware
- update new minor DMC release for Intel Broxton
- add first DMC image firmware for Intel Kabylake
- add nVidia GP100 (Pascal) firmware

* Tue Jul 05 2016 tmb <tmb> 20160629-1.mga6.nonfree
+ Revision: 1038875
- fix filelist
- update intel dsp, bt and iwlwifi firmware

* Sun Jun 19 2016 tmb <tmb> 20160608-1.mga6.nonfree
+ Revision: 1036777
- update to 20160608 snapshot

* Thu May 19 2016 tmb <tmb> 20160516-1.mga6.nonfree
+ Revision: 1016882
- ath10k: add firmware for QCA4019, QCA9887, QCA9984
- intel: Update Skylake audio firmware
- rt2800pci: update rt2860.bin
- rt2800usb: update rt2870.bin

* Tue May 03 2016 tmb <tmb> 20160503-1.mga6.nonfree
+ Revision: 1009046
- ath10k: QCA9377 hw1.0: add firmware and board files
- ath10k: QCA6174 hw3.0: add board-2.bin
- ath10k: QCA6174 hw2.1: add board-2.bin
- ath10k: QCA6174 hw2.1: update firmware-5.bin to SW_RM.1.1.1-00157-QCARMSWPZ-1

* Fri Apr 29 2016 tmb <tmb> 20160429-1.mga6.nonfree
+ Revision: 1007939
- rtlwifi: add missing rtl8723 firmwares (mga#17992)

* Tue Apr 26 2016 tmb <tmb> 20160421-1.mga6.nonfree
+ Revision: 1006292
- Update firmware for Intel Bluetooth 7265 (D1)
- Update firmware for Intel Bluetooth 8265
- add firmware for the R-Car M3-W xHCI controllers
- add firmware for QCA9377 chipset (mga#18240)

* Sat Apr 09 2016 tmb <tmb> 20160409-1.mga6.nonfree
+ Revision: 999886
- update to 20160409 snapshot

* Thu Mar 17 2016 tmb <tmb> 20160311-1.mga6.nonfree
+ Revision: 992583
- update to 2016-03-11 snapshot

* Thu Mar 03 2016 tmb <tmb> 20160219-1.mga6.nonfree
+ Revision: 984601
- update to 2016-02-19 snapshot

* Thu Jan 28 2016 tmb <tmb> 20160127-1.mga6.nonfree
+ Revision: 928375
- update to 2016-01-27 snapshot

* Sat Nov 21 2015 tmb <tmb> 20151120-1.mga6.nonfree
+ Revision: 904758
- kernel-firmware-nonfree:
  * bnx2x: Add FW 7.13.1.0
  * brcm: update firmware for the BCM4356 PCIe device
  * brcm: adding firmware for BCM4350 PCIe device
  * qla2xxx: Update firmware version to 8.03.00
  * qed: Add FW 8.4.2.0
  * add Skylake audio firmware
  * New minor DMC release for Skylake - ver1_23
- iwlwifi-agn-ucode:
  * add new -16 firmware for iwlmvm devices
  * Update firmware patch for Intel Bluetooth 7265 (C0/D0)

* Fri Oct 23 2015 tmb <tmb> 20151018-1.mga6.nonfree
+ Revision: 894516
- update to 2015-10-18
  * Add FW binary used by mwlwifi driver
  * ath10k: QCA99X0 hw2.0: add firmware 10.4.1.00030-1 and board.bin
  * ath10k: QCA6174 hw3.0: add WLAN.RM.2.0-00180-QCARMSWPZ-1
  * ath10k: QCA6174 hw2.1: add firmware WLAN.RM.1.1-00141 and board.bin
  * ath10k: QCA988X hw2.0: add firmware 10.2.4.70.9-2 and board.bin
  * brcmfmac: firmware refresh for BCM43602 PCIE devices
  * Add firmware patch for Intel Bluetooth 7265 (D1)
  * Update firmware patch for Intel Bluetooth 7265 (C0/D0)
  * Update firmware patch for Intel Bluetooth 7260 (B3/B4/B5/B6)
  * New minor DMC release for Skylake - ver1_22
  * New minor DMC release for Broxton - ver1_06
  * usb: host: xhci-plat: add support for the R-Car H3 xHCI controllers

* Thu Sep 17 2015 tmb <tmb> 20150824-1.mga6.nonfree
+ Revision: 880128
- ar3k: add to support AR3012 v2.1 firmware
- cxgb4: update firmware to revision 1.14.4.0
- tegra: Update XHCI firmware to v50.10 for T210
- wilc1000: add firmware for wilc1000 802.11n driver
- Add Intel OPA hfi1 firmware
- New major GuC release for Skylake
- New minor DMC release for Skylake and Broxton

* Tue Aug 04 2015 tmb <tmb> 20150722-1.mga6.nonfree
+ Revision: 861101
- update to 2015-07-22
  * bnx2x: Update to FW version 7.12.30
  * cxgb4: Add BT adapter PHY firmware
  * qca: add BT firmware files to support QCA ROME chips
  * tegra: add GK20A FECS/GPCCS firmware
  * Add firmware for Cavium LiquidIO 210NV, 210SV, and 410NV cards
  * Add firmware file for Intel Bluetooth 8260
  * Add i915 firmware for Broxton and Skylake
  * update audio firmware for Braswell platform
  * iwlwifi: add new -13 firmware for iwlmvm devices, including new 8000 series
  * rtl_bt: correct RTL8723A firmware

* Sun May 10 2015 tmb <tmb> 20150510-1.mga5.nonfree
+ Revision: 821613
- iwlwifi: add new -13 firmware for 3160 / 7260 / 7265 / 7265D

* Fri May 08 2015 tmb <tmb> 20150508-1.mga5.nonfree
+ Revision: 821495
- ath3k: update AR3012 2.2.1 firmware with v.170
- Update firmware patch for Intel Bluetooth 7265 (C0/D0)
- Update firmware patch for Intel Bluetooth 7260 (B3/B4/B5/B6)
- Add Realtek Bluetooth HCD firmware

* Mon May 04 2015 tmb <tmb> 20150420-2.mga5.nonfree
+ Revision: 821238
- iwlwifi: update -12.ucode for 3160 / 7260 / 7265 / 7265D
  (stability / disconnection fixes)

* Sat May 02 2015 tmb <tmb> 20150420-1.mga5.nonfree
+ Revision: 821027
- brcm: add firmware for BCM4324(1) B5 chipset
- brcm: replace non-working firmware for BCM4339
- brcm: add firmware for BCM43570 PCIe device
- brcm: add firmware for BCM43569 USB device
- tegra: Add XHCI firmware v50.07 for T210
- cxgb4: update firmware to revision 1.13.32.0 for T4 and T5

* Fri Mar 20 2015 tmb <tmb> 20150320-1.mga5.nonfree
+ Revision: 818990
- brcm: add firmware for BCM43242 USB device
- brcm: add firmware for BCM4356, BCM43602 PCIe devices
- brcm: add firmware for BCM4339, BCM43340/1, BCM43455 SDIO devices
- brcm: upgrade firmware for BCM4354 SDIO device

* Wed Mar 18 2015 tmb <tmb> 20150314-1.mga5.nonfree
+ Revision: 818822
- ath10k: add firmware 10.2.4.45 as firmware-4.bin
- ath9k_htc: provide both 1.4.0 and 1.3.1 firmwares
  to not break current kernel compatibility

* Sun Mar 15 2015 tmb <tmb> 20150309-3.mga5.nonfree
+ Revision: 818645
- rebuild for missing signatures

* Sun Mar 15 2015 tmb <tmb> 20150309-2.mga5.nonfree
+ Revision: 818602
- remove obsolete ti-connectivity firmwares
- drop obsolete bnx2 firmwares
- drop obsolete bnx2x firmwares
- drop obsolete iwl ucode

* Tue Mar 10 2015 tmb <tmb> 20150309-1.mga5.nonfree
+ Revision: 818303
- update to 2015-03-09

* Mon Mar 02 2015 tmb <tmb> 20150226-1.mga5.nonfree
+ Revision: 817336
- update to 2015-02-26

* Wed Feb 04 2015 tmb <tmb> 20150204-1.mga5.nonfree
+ Revision: 813481
- update to 2015-02-04

* Sun Dec 21 2014 tmb <tmb> 20141211-1.mga5.nonfree
+ Revision: 804582
- iwlwifi: update -10.ucode for 3160 / 7260 / 7265 / 7265D
- cxgb4: Update firmware to revision 1.12.25.0

* Mon Dec 01 2014 tmb <tmb> 20141106-1.mga5.nonfree
+ Revision: 800169
- update to 20141106

* Wed Oct 15 2014 umeabot <umeabot> 20140828-3.mga5.nonfree
+ Revision: 744590
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140828-2.mga5.nonfree
+ Revision: 681038
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Aug 30 2014 tmb <tmb> 20140828-1.mga5.nonfree
+ Revision: 669491
- update to 2014-08-28

* Tue Aug 26 2014 tmb <tmb> 20140809-1.mga5.nonfree
+ Revision: 668452
- update to 2014-08-09

* Wed Jun 04 2014 tmb <tmb> 20140603-1.mga5.nonfree
+ Revision: 632980
- update to 2014-06-03

* Thu May 01 2014 tmb <tmb> 20140427-1.mga5.nonfree
+ Revision: 619113
- broadcom:
  * bmx2x 7.8.19 firmware
  * brcm: BCM43362 firmware
- iwlwifi:
  * add 3160/7260/7265 api 9 ucode
- Myri10ge:
  * v1.4.57 firmware
- rtlwifi:
  * rtl8192ee firmware
- wilink:
  * Wilink 8 api 3 firmware

* Fri Jan 24 2014 tmb <tmb> 20140119-1.mga4.nonfree
+ Revision: 567743
- iwlwifi:
  * add 7260/3160 api 8 ucode
- rtlwifi:
  * add rtl8723au and rtl8821ae firmwares

* Mon Jan 06 2014 tmb <tmb> 20131230-2.mga4.nonfree
+ Revision: 564993
- iwlwifi: add missing bluetooth firmware file
- remove some unwanted files, update doc

* Sun Jan 05 2014 tmb <tmb> 20131230-1.mga4.nonfree
+ Revision: 564960
- iwlwifi: update firmware for 7260 / 3160 devices
  (wireless 22.1.7.0, bluetooth 1344.01.33)
- update Brocade BFA/BNA Adapters Firmware (3.2.3.0)
- cxgb4: Updated T4 firmware, add T5 firmware (1.9.23.0)
- qla2xxx: Update ql2{4,5}00_fw.bin to version (7.01.00)
- cw1200: Add firmware for the ST-E CW1200 WLAN chipset (WSM395)
- add Marvell SD8897-B0 firmware combo image (15.69.2.p11)
- update Marvell PCIe/USB 8897-B0 firmware combo image (15.69.2.p11)

* Mon Oct 14 2013 tmb <tmb> 20131013-1.mga4.nonfree
+ Revision: 497334
- update to 2013-10-13

* Tue Jul 09 2013 tmb <tmb> 20130624-1.mga4.nonfree
+ Revision: 452124
- update to 2013-06-24 snapshot

* Sun Apr 07 2013 tmb <tmb> 20130307-1.mga3.nonfree
+ Revision: 409002
- update to 2013-03-07

* Sat Mar 02 2013 tmb <tmb> 20130224-1.mga3.nonfree
+ Revision: 401174
- update to 2013-02-24

* Thu Jan 10 2013 tmb <tmb> 20121225-1.mga3.nonfree
+ Revision: 344676
- update to 2012-12-25

* Fri Nov 02 2012 tmb <tmb> 20121030-1.mga3.nonfree
+ Revision: 312675
- update to 2012-10-30 snapshot

* Sun Sep 16 2012 tmb <tmb> 20120909-1.mga3.nonfree
+ Revision: 294478
- update to 2012-09-09 snapshot

* Sat Jul 21 2012 tmb <tmb> 20120719-2.mga3.nonfree
+ Revision: 272999
- fix conflicts

* Fri Jul 20 2012 tmb <tmb> 20120719-1.mga3.nonfree
+ Revision: 272968
- update to 2012-07-19 snapshot

* Sun Apr 29 2012 tmb <tmb> 20120421-3.mga2.nonfree
+ Revision: 234166
- merge all ucode firmwares supported by iwlwifi driver into iwlwifi-agn-ucode package

* Mon Apr 23 2012 tmb <tmb> 20120421-2.mga2.nonfree
+ Revision: 232936
- clean up ralink and rtlwifi firmware packages, and ship them
  in separate ralink- and rtlwifi-firmware packages

* Sat Apr 21 2012 tmb <tmb> 20120421-1.mga2.nonfree
+ Revision: 232428
- update to 2012-04-21 snapshot
  * wl12xx: add API 4 firmwares
  * stability fixed firmwares for RTL8411, RTL8111E-VL, RTL7111F
  * ath6k: add AR6003 hw2.1.1 API 3 firmware
  * ath6k: add firmware for AR6004 hw1.2
  * bnx2x: adding fw 7.2.51
- drop firmwmares shipped in rtlwifi-firmware package

* Tue Mar 06 2012 tmb <tmb> 20120219-1.mga2.nonfree
+ Revision: 220089
- update to 2012-02-19 snapshot

* Sun Jan 01 2012 tmb <tmb> 20111229-1.mga2.nonfree
+ Revision: 189463
- update to 2011-12-29 snapshot
- obsolete old kernel-firmware-extra
- no need to BR kernel-firmware anymore as the free/nonfree split is
  now done at tarball creation time
- rename spec to match package
- rename to kernel-firmware-nonfree
- drop buildroot
- update git url

* Tue Nov 08 2011 anssi <anssi> 20111017-1.mga2.nonfree
+ Revision: 165570
- update snapshot
  o updates to cxgb4, QLogic phanfw, ath6kl, bnx2x files
- add non-free firmware files that were dropped from kernel-firmware
- drop free usbdux firmware files, moved to kernel-firmware
- drop firmware source code for firmware in kernel-firmware
- suggest radeon-firmware, where some radeon firmware files were moved
  to
- update summary, description, and license tag
- add old obsoletes from kernel-firmware package

* Tue Sep 27 2011 tmb <tmb> 20110817-2.mga2.nonfree
+ Revision: 149092
- fix broken/missing rt3070.bin (broken symlink)
- add firmware needed for Intel C600 Series Chipset SAS Controller

* Wed Aug 31 2011 tmb <tmb> 20110817-1.mga2.nonfree
+ Revision: 137376
- update to 20110817 snapshot
  * add OLPC libertas blobs
  * wl12xx: Updated STA & AP FW for WL128x & wl127x
  * wl12xx: Updated STA & AP FW for wl12xx-fw-3
  * rtl8712u: Upgrade to firmware found in vendor's V2.6.6
- rtlwifi: sync rtl8192ce/se/de firmware from vendor 0004.0816.2011 driver

* Wed Aug 31 2011 ze <ze> 20110730-2.mga2.nonfree
+ Revision: 137308
- rebuild

  + tmb <tmb>
    - update to 2011-07-30 checkout
      * updates atk_htc firmware to 1.3 so it works with 3.0+ kernels
      * adds ar3k - Atheros support for AR3001 WiFi-Bluetooth combo
      * adds ath6k - Atheros support for AR6003 WiFi-Bluetooth combo
      * adds drxk - Micronas DRX-K demodulator
      * adds ene-ub6250 - ENE UB6250 SD card reader

* Sun May 22 2011 tmb <tmb> 20110517-1.mga1
+ Revision: 100133
- update to 2011-05-17 (adds some missing r8169 and bnx2 fw)

* Sat Apr 30 2011 tmb <tmb> 20110428-1.mga1
+ Revision: 93703
- update to 2011-04-28

* Mon Apr 11 2011 tmb <tmb> 20110310-4.mga1
+ Revision: 83067
- fix brcm80211 firmware names (#327)

* Mon Mar 21 2011 tmb <tmb> 20110310-3.mga1
+ Revision: 75330
- drop all radeon firmwares as they are now in radeon-firmware

* Thu Mar 17 2011 tmb <tmb> 20110310-2.mga1
+ Revision: 73538
- fix requires and conflicts on kernel-firmware

* Thu Mar 17 2011 tmb <tmb> 20110310-1.mga1
+ Revision: 73371
- update to 2011-03-10
- drop radeon and iwlwifi firmwares provided by separate rpms

* Tue Jan 25 2011 tmb <tmb> 20110125-1.mga1
+ Revision: 39060
- update to 2011-01-25 snapshot

* Sat Jan 08 2011 tmb <tmb> 20101220-2.mga1
+ Revision: 1233
- imported package kernel-firmware-extra

